SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
ConnectionGraph2.h File Reference

Connection graph plugin, version 2. Tells new systems about existing and new connections. More...

`#include "NativeFeatureIncludes.h"`
`#include "memoryoverride.h"`
`#include "types.h"`
`#include "PluginInterface2.h"`
`#include "DS_List.h"`
`#include "DS_WeightedGraph.h"`
`#include "GetTime.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::ConnectionGraph2
| A one hop connection graph. More...
struct | SLNet::ConnectionGraph2::SystemAddressAndGuid
struct | SLNet::ConnectionGraph2::RemoteSystem

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Connection graph plugin, version 2. Tells new systems about existing and new connections.

Definition in file ConnectionGraph2.h.

## Class Documentation

struct SLNet::ConnectionGraph2::SystemAddressAndGuid

Definition at line 94 of file ConnectionGraph2.h.

Class Members
RakNetGUID | guid |
uint16_t | sendersPingToThatSystem |
SystemAddress | systemAddress |

struct SLNet::ConnectionGraph2::RemoteSystem

Definition at line 104 of file ConnectionGraph2.h.

Class Members
RakNetGUID | guid |
OrderedList < SystemAddressAndGuid, SystemAddressAndGuid, SystemAddressAndGuidComp > | remoteConnections |